help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: emacsclient with emacs-23.0.60


From: Thierry Volpiatto
Subject: Re: emacsclient with emacs-23.0.60
Date: Mon, 29 Oct 2007 09:12:06 +0100
User-agent: Gnus/5.11 (Gnus v5.11) Emacs/23.0.50 (gnu/linux)

Xiao-Yong Jin <address@hidden> writes:

> Peter Dyballa <address@hidden> writes:
>
>> Am 28.10.2007 um 23:53 schrieb Thierry Volpiatto:
>>
>>> psvn.el also work only partially with this version of emacs :
>>> ediff don't work.
>>
>> I cannot confirm! Both work. What I can assume is that some of your
>> personal settings are incorrect. Do you see different behaviour when
>> launching
>>
>>      emacs-23.0.60 -Q -f server-start &
>

No, it's not working better like that, 
emacsclient is working fine when i start it from any term or remote term
but is not working only in this special case:

when i call it from my python app throught the mailcap module.

For svn, ediff work fine with emacs-23.0.50 but don't work on 23.0.60
but may be i miss some thing.
It seem svn don't recognize my environment variable $EDITOR (emacsclient)  

> As I experienced and also stated by one of previous posts,
> the issue related to the emacsclient is gone, if you start
> the emacs and the server within from a terminal or xterm.
> If you type that line in an xterm, you won't see that
> behaviour.  But if you launch it from `dmenu[1]', you'll see
> that the emacsclient is not working properly.  Presumably,
> it's related to the handling of the environment variables?
>

I launch emacs-server from my .emacs with (server-start). 
Which environment variables are you thinking about ?

-- 
A + Thierry
pubkey: http://pgp.mit.edu/




reply via email to

[Prev in Thread] Current Thread [Next in Thread]